Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.commons.core.v2
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.commons.core.v2.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.commons.core.v2 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.commons.core.v2

Method Summary
`ActorType` | `createActorType()` Create an instance of `ActorType`
`Author` | `createAuthor()` Create an instance of `Author`
`JAXBElement<ActorType>` | `createHcParty(ActorType value)` Create an instance of `JAXBElement``<``ActorType``>`}
`Id` | `createId()` Create an instance of `Id`
`JAXBElement<ActorType>` | `createPatient(ActorType value)` Create an instance of `JAXBElement``<``ActorType``>`}
`Status` | `createStatus()` Create an instance of `Status`
`StatusCode` | `createStatusCode()` Create an instance of `StatusCode`
`StatusDetail` | `createStatusDetail()` Create an instance of `StatusDetail`
`JAXBElement<String>` | `createStatusMessage(String value)` Create an instance of `JAXBElement``<``String``>`}

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.commons.core.v2

Method Detail

### createAuthor

    public Author createAuthor()

  Create an instance of `Author`

### createActorType

    public ActorType createActorType()

  Create an instance of `ActorType`

### createId

    public Id createId()

  Create an instance of `Id`

### createStatus

    public Status createStatus()

  Create an instance of `Status`

### createStatusCode

    public StatusCode createStatusCode()

  Create an instance of `StatusCode`

### createStatusDetail

    public StatusDetail createStatusDetail()

  Create an instance of `StatusDetail`

### createHcParty

    public JAXBElement<ActorType> createHcParty(ActorType value)

  Create an instance of `JAXBElement``<``ActorType``>`}

### createPatient

    public JAXBElement<ActorType> createPatient(ActorType value)

  Create an instance of `JAXBElement``<``ActorType``>`}

### createStatusMessage

    public JAXBElement<String> createStatusMessage(String value)

  Create an instance of `JAXBElement``<``String``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.